%global _hardened_build 1

Name: bpm-tools
Version: 0.3.1
Release: 1%{?dist}
Summary: Tempo analysis tools
License: GPLv2
URL: https://www.pogo.org.uk/~mark/bpm-tools/
Source0: %{name}-e0f5676.tar.gz
BuildRequires: gcc make

%description
The bpm-tools software is the result of some experiments into automatically
calculating and tagging the tempo (in beats-per-minute) of music files.


%prep
%autosetup -n %{name}


%build
CFLAGS="%{optflags}" CXXFLAGS="%{optflags}" \
make %{?_smp_mflags}


%install
%make_install PREFIX=%{_prefix}


%files
%license COPYING
%doc README
%{_bindir}/bpm
%{_bindir}/bpm-graph
%{_bindir}/bpm-tag
%{_mandir}/man1/bpm.1*
%{_mandir}/man1/bpm-graph.1*
%{_mandir}/man1/bpm-tag.1*


%changelog
* Fri Nov 17 2023 Philippe Kueck <projects@unixadm.org> - 0.3.1-1
- Initial packaging
